smart und arch i686

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
milli4503
Member
Member
Beiträge: 200
Registriert: 1. Jun 2005, 20:57
Wohnort: Casta Regina

smart und arch i686

Beitrag von milli4503 » 15. Apr 2006, 01:12

Hallo Leute und vorallem die Guru`s

Fummle jetzt ziemlich lange rum und komme eigentlich nicht wirklich darauf warum die Pakete nicht installiert werden. Null Plan eigentlich jetzt.

Mein System ist SuSE 10.0 mit der Architektur i686. Die Pakete sind aber eigentlich alle niedriger.

Habe update und upgrade gemacht und smart zeigt mir diese 4 Pakete an.



Berechne Vorgang ...

Erneuere Pakete (4):

gimp-2.2.11-1.guru.suse100@i686
ksmarttray-0.41-15.guru.suse100@i686
smart-gui-0.41-15.guru.sus
smart-0.41-15.guru.suse100@i686



und diese Meldung:



Traceback (most recent call last):
File "/usr/bin/smart", line 194, in ?
main(sys.argv[1:])
File "/usr/bin/smart", line 167, in main
exitcode = iface.run(opts.command, opts.argv)
File "/usr/lib/python2.4/site-packages/smart/interface.py", line 53, in run
result = _command.main(self._ctrl, opts)
File "/usr/lib/python2.4/site-packages/smart/commands/upgrade.py", line 182, in main
ctrl.commitTransaction(trans, confirm=confirm)
File "/usr/lib/python2.4/site-packages/smart/control.py", line 464, in commitTransaction
return self.commitChangeSet(trans.getChangeSet(), caching, confirm)
File "/usr/lib/python2.4/site-packages/smart/control.py", line 467, in commitChangeSet
if confirm and not iface.confirmChangeSet(changeset):
File "/usr/lib/python2.4/site-packages/smart/interfaces/text/interface.py", line 107, in confirmChangeSet
return self.showChangeSet(changeset, confirm=True)
File "/usr/lib/python2.4/site-packages/smart/interfaces/text/interface.py", line 223, in showChangeSet
size = report.getInstallSize() - report.getRemoveSize()
File "/usr/lib/python2.4/site-packages/smart/report.py", line 200, in getRemoveSize
size = info.getInstalledSize()
File "/usr/lib/python2.4/site-packages/smart/backends/rpm/header.py", line 87, in getInstalledSize
return self._h[rpm.RPMTAG_SIZE]
TypeError: unsubscriptable object


Kann es daran liegen, dass diese 4 Pakete die " Arch i686 " haben und in den Channels die " Arch i386 " eingetragen ist.
Habe in den Channels mal die Arch i386 in i686 umgeändert. Aber nutzte auch nichts. Dann wieder zurück gestellt.

Python 2.4 ist auch am System drauf.

Weiss auch nicht wirklich, wass hier bemängelt wird. Google unser Freud spuckte auch nichts aus, mit dieser Fehlermeldung.

Vorallem habe ich smart doch jetzt schon einige Zeit und hat immer ohne Probleme funktioniert. Ist dass erste Mal, dass er nicht installiert oder zumindestens auf die HDD runterlädt.

Hmm. Vieleicht weiss jemand, an was es liegt.

gruss milli4503

Werbung:
Benutzeravatar
milli4503
Member
Member
Beiträge: 200
Registriert: 1. Jun 2005, 20:57
Wohnort: Casta Regina

Beitrag von milli4503 » 15. Apr 2006, 02:04

Habe jetzt die drei Smart_Pakete mit Yast aktualisiert und da ging es. Sonderbarerweisse hat " Smart " mir dann anschliessend auf Konsole auch " Gimp " aktualisiert.

Komisch.

Würde mich aber trotzdem noch Intressieren warum die Smartpakete nicht wollten.
Wenn jemand eine Antwort darauf hat, bitte posten. Man will ja dazu lernen.

gruss milli4503

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste